package cpcns.danganzhengli.wenshu.danganhe.controller;

package .var.folders._j.vfbv187d0bb8b8w5spzgg8180000gn.T;

import cpcns.baoguanqixiancelue.service.IGQuanZongWeiHuService;
import cpcns.base.common.User;
import cpcns.base.common.util.JsonWithJacksonUtils;
import cpcns.base.configuration.AppConfiguration;
import cpcns.base.generic.ResultMessage;
import cpcns.common.controller.commonController;
import cpcns.common.model.BaseEntity;
import cpcns.common.service.ICommonService;
import cpcns.danganmenlei.model.GDangAnMenLei;
import cpcns.danganmenlei.service.IGDangAnMenLeiService;
import cpcns.danganzhengli.wenshu.danganhe.model.DDangAnHe;
import cpcns.danganzhengli.wenshu.danganhe.service.IDDangAnHeService;
import cpcns.jhsks.xinxifenlei.xitongmokuai.xitongpeizhidaima.model.XiTongDaiMa;
import cpcns.jhsks.yonghuguanli.model.JiGouFenLei;
import cpcns.printManager.PrintUtil;
import cpcns.utils.CommStatic;
import cpcns.utils.DateUtil;
import cpcns.utils.Json;
import cpcns.utils.PagerVO;
import cpcns.utils.YeWuStatic;
import java.io.IOException;
import java.text.SimpleDateFormat;
import java.util.ArrayList;
import java.util.Date;
import java.util.Enumeration;
import java.util.HashMap;
import java.util.Iterator;
import java.util.List;
import java.util.Map;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import net.sf.json.JSONObject;
import org.apache.commons.lang.StringUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Controller;
import org.springframework.ui.Model;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.ResponseBody;

@Controller
@RequestMapping({"/dDangAnHe"})
public class DDangAnHeController extends commonController {
  @Autowired
  private IDDangAnHeService dDangAnHeService;
  
  @Autowired
  private ICommonService commonService;
  
  @Autowired
  private IGDangAnMenLeiService gDangAnMenLeiService;
  
  @Autowired
  private IGQuanZongWeiHuService quanZongWeiHuService;
  
  @RequestMapping({"/query.do"})
  public String execute(HttpServletRequest request, Model model) throws Exception {
    String menLei = getRequest().getParameter("menLei");
    String zhuangTai = request.getParameter("zhuangTai");
    String tabView = request.getParameter("tabView");
    String quanZongHao = getRequest().getParameter("quanZongHao");
    GDangAnMenLei dam = this.gDangAnMenLeiService.findByFenLeiHao(menLei);
    if (dam != null)
      model.addAttribute("table_", dam.getBiaoMing()); 
    model.addAttribute("tabView", tabView);
    getRequest().setAttribute("quanZongHao", quanZongHao);
    getRequest().setAttribute("menLei", menLei);
    getRequest().setAttribute("zhuangTai", zhuangTai);
    return "danganzhengli/danganhe/DangAnHeList";
  }
  
  @RequestMapping({"/open.do"})
  public String open(HttpServletRequest request, HttpServletResponse response) {
    String hangBiaoShi = request.getParameter("hangBiaoShi");
    String czlx = request.getParameter("czlx");
    String laiyuan = request.getParameter("laiyuan");
    String keyWordResult = request.getParameter("keyWordResult");
    if (hangBiaoShi != null && !hangBiaoShi.equals("")) {
      DDangAnHe cla = (DDangAnHe)this.dDangAnHeService.getById(Integer.valueOf(Integer.parseInt(hangBiaoShi)));
      GDangAnMenLei dam = this.gDangAnMenLeiService.findByFenLeiHao(cla.getMenLei());
      if (dam != null) {
        getRequest().setAttribute("dangHaoGuiZe", dam.getHeHaoGuiZe());
        getRequest().setAttribute("dangHaoFenGeFu", dam.getFenGeFu());
        String dangHaoFenLei = dam.getZiFuDaiMa();
        if (StringUtils.isNotBlank(dangHaoFenLei)) {
          int xuHaoGuiZe = (dangHaoFenLei.split("_")).length;
          getRequest().setAttribute("xuHaoGuiZe", Integer.valueOf(xuHaoGuiZe));
        } 
      } 
      String sb = " select min(xuHao) from " + CommStatic.getMenLeiToBiaoMing(cla.getMenLei()) + " where guanLianBiaoShi= " + cla.getHangBiaoShi();
      List<String> list = this.dDangAnHeService.selectSql(sb);
      if (list != null && list.size() > 0 && list.get(0) != null && list.get(0) != "")
        cla.setQiYeHao(Integer.valueOf(list.get(0).toString())); 
      sb = " select max(xuHao) from " + CommStatic.getMenLeiToBiaoMing(cla.getMenLei()) + " where guanLianBiaoShi= " + cla.getHangBiaoShi();
      list = this.dDangAnHeService.selectSql(sb);
      if (list != null && list.size() > 0 && list.get(0) != null && list.get(0) != "")
        cla.setZhiYeHao(Integer.valueOf(list.get(0).toString())); 
      cla.setChrq(DateUtil.getDate(cla.getChengHeShiJian()));
      getRequest().setAttribute("dangAnHe", cla);
      getRequest().setAttribute("czlx", czlx);
      getRequest().setAttribute("keyWordResult", keyWordResult);
      getRequest().setAttribute("laiyuan", laiyuan);
      this.dDangAnHeService.addDA_RiZhi(getCurrentUser(), this.server, "D_DangAnHe", cla.getHangBiaoShi(), "0$." + cla.getXuHao() + "$." + cla.getMenLei(), "查看");
    } 
    return "danganzhengli/danganhe/DangAnHeEdit";
  }
  
  @RequestMapping({"/getAll.do"})
  public void getAll(HttpServletRequest request, HttpServletResponse response) throws IOException {
    Enumeration<?> rnames = getRequest().getParameterNames();
    JSONObject jsonObject = new JSONObject();
    for (Enumeration<?> er = rnames; er.hasMoreElements(); ) {
      String thisName = er.nextElement().toString();
      String thisValue = getRequest().getParameter(thisName);
      if (!"querystr".equals(thisName))
        jsonObject.put(thisName, thisValue); 
    } 
    User user = getCurrentUser();
    StringBuffer sqlWhere = new StringBuffer();
    Map<String, String> qx = user.getQuanXianMap();
    Iterator<String> iterator = jsonObject.keys();
    Boolean isqx = Boolean.valueOf(true);
    StringBuffer sqlSearch = new StringBuffer();
    sqlSearch.append(" ( 1=1 ");
    boolean fl = this.commonService.getInitVal("chaXunQuanXianKongZhi", "chaXunQuanXianKongZhi");
    if (fl) {
      Map<String, String> tjmap = new HashMap<>();
      String quanZongHao = request.getParameter("quanZongHao");
      String checkbox = (getRequest().getParameter("checkbox") == null) ? "false" : getRequest().getParameter("checkbox");
      String all_qz = this.quanZongWeiHuService.getAllQzuanZhong(user.getQuanZongHao());
      tjmap.put("guanLianQuanZong", all_qz);
      tjmap.put("checkbox", checkbox);
      tjmap.put("quanZongHao", quanZongHao);
      tjmap.put("table", this.table);
      sqlWhere.append(CommStatic.IsQuanXian(user, AppConfiguration.getConfigValue("CPCNS_XITONGLEIXING"), tjmap));
    } 
    while (iterator.hasNext()) {
      String key = iterator.next();
      String value = jsonObject.getString(key);
      if (value != null && !value.trim().equals("") && !value.equals("undefined") && !key.equals("page") && !key.equals("rows") && !"order".equals(key) && !"sort".equals(key) && !key.equals("quanZongHao")) {
        if (key.contains("begin")) {
          key = key.substring(0, key.indexOf("begin"));
          sqlWhere.append(" and ").append(
              String.valueOf(key) + " >= " + "to_date('" + value + "','yyyy-mm-dd')");
          continue;
        } 
        if (key.contains("end")) {
          key = key.substring(0, key.indexOf("end"));
          sqlWhere.append(" and ").append(
              String.valueOf(key) + " <= " + "to_date('" + value + "','yyyy-mm-dd')");
          continue;
        } 
        if (!"server".equals(key) && !"table".equals(key)) {
          if (key.contains("like")) {
            key = key.substring(0, key.indexOf("like"));
            sqlWhere.append(" and ").append(String.valueOf(key) + " like " + "'%" + value.trim() + "%'");
            continue;
          } 
          if (key.contains("notin")) {
            key = key.substring(0, key.indexOf("notin"));
            sqlWhere.append(" and ").append(String.valueOf(key) + " not in ( " + value + ")");
            continue;
          } 
          if (key.contains("_in")) {
            key = key.substring(0, key.indexOf("_in"));
            sqlWhere.append(" and ").append(String.valueOf(key) + " in ( " + value + ")");
            continue;
          } 
          if (key.equals("zhuangTai") && value.equals("2")) {
            sqlWhere.append(" and zhuangTai in(").append("0,2)");
            continue;
          } 
          sqlWhere.append(" and ").append(String.valueOf(key) + " = '" + value + "'");
        } 
      } 
    } 
    sqlSearch.append(" ) and zhuangTai not in (3,4,6) ");
    String querySt = request.getParameter("querystr");
    if (StringUtils.isNotBlank(querySt))
      sqlWhere.append(" ").append(CommStatic.zhuHeQueryJieXi_(querySt)); 
    if (sqlWhere.length() > 0)
      sqlSearch.append(sqlWhere.toString()); 
    String page = request.getParameter("page");
    String rows = request.getParameter("rows");
    String menLei = request.getParameter("menLei");
    int intPage = Integer.parseInt((page == null || page == "0") ? "0" : page);
    int number = Integer.parseInt((rows == null || rows == "0") ? "0" : rows);
    int start = (intPage - 1) * number;
    String paixutiaojian = this.dDangAnHeService.paiXuTiaoJian(String.valueOf(this.table.toUpperCase()) + "_" + menLei);
    if (StringUtils.isBlank(paixutiaojian))
      paixutiaojian = "quanZongHao,guiDangNianDu,baoGuanQiXian,xuHao asc"; 
    System.out.println(paixutiaojian);
    StringBuffer sql = new StringBuffer("select fenLeiHao,hangBiaoShi,xuHao,quanZongHao,fenShu,heRongLiang,zhuangTai,zeRenRenMingCheng,guiDangBuMenMingCheng,baoGuanQiXian,guiDangNianDu,menLei,fenLeiMingCheng,miJi,ruKuFangZhuangTai,guiDangDanWeiMingCheng,guanBianHeHao,fuHeHao from D_DangAnHe where ");
    PagerVO pagevo = this.dDangAnHeService.getAll(start, number, sql.toString(), sqlSearch.toString(), CommStatic.getOrderBy(request, paixutiaojian));
    String jsonString = JsonWithJacksonUtils.getInstance().obj2Json(pagevo);
    jsonString = jsonString.replaceAll("HANGBIAOSHI", "hangBiaoShi").replaceAll("XUHAO", "xuHao")
      .replaceAll("FENSHU", "fenShu").replaceAll("HERONGLIANG", "heRongLiang").replaceAll("QUANZONGHAO", "quanZongHao")
      .replaceAll("ZHUANGTAI", "zhuangTai").replaceAll("ZERENRENMINGCHENG", "zeRenRenMingCheng").replaceAll("GUIDANGDANWEIMINGCHENG", "guiDangDanWeiMingCheng")
      .replaceAll("GUIDANGBUMENMINGCHENG", "guiDangBuMenMingCheng").replaceAll("BAOGUANQIXIAN", "baoGuanQiXian").replaceAll("FUHEHAO", "fuHeHao")
      .replaceAll("GUIDANGNIANDU", "guiDangNianDu").replaceAll("MENLEI", "menLei").replaceAll("FENLEIMINGCHENG", "fenLeiMingCheng")
      .replaceAll("MIJI", "miJi").replaceAll("RUKUFANGzhuangTai", "ruKuFangZhuangTai").replaceAll("GUANBIANHEHAO", "guanBianHeHao").replaceAll("FENLEIHAO", "fenLeiHao");
    write(response, jsonString);
  }
  
  @RequestMapping({"/toAdd.do"})
  public String toAdd(HttpServletRequest request, Model model) throws Exception {
    User user = getCurrentUser();
    DDangAnHe dangAnHe = new DDangAnHe();
    BaseEntity cla = new BaseEntity();
    cla.setQuanZongHao(user.getQuanZongHao());
    String menLei = request.getParameter("menLei");
    cla.setMenLei(menLei);
    GDangAnMenLei dam = this.gDangAnMenLeiService.findByFenLeiHao(menLei);
    if (dam != null) {
      model.addAttribute("dangHaoGuiZe", dam.getHeHaoGuiZe());
      model.addAttribute("dangHaoFenGeFu", dam.getFenGeFu());
      getRequest().setAttribute("qiDongDangHao", dam.getQiDongDangHao());
      if (menLei.endsWith("XWS") || menLei.endsWith("QZJ")) {
        String dangHaoFenLei = dam.getZiFuDaiMa();
        if (StringUtils.isNotBlank(dangHaoFenLei)) {
          int xuHaoGuiZe = (dangHaoFenLei.split("_")).length;
          if (StringUtils.isNotBlank(dam.getHeHaoGuiZe())) {
            getRequest().setAttribute("xuHaoGuiZe", dam.getHeHaoGuiZe());
          } else {
            getRequest().setAttribute("xuHaoGuiZe", dam.getZiFuDaiMa());
          } 
          getRequest().setAttribute("xuHaoGuiZeLength", Integer.valueOf(xuHaoGuiZe));
        } 
      } 
    } 
    if (user != null && StringUtils.isNotBlank(user.getBuMenMingChengs())) {
      String[] mcss = user.getBuMenMingChengs().split(" ");
      String[] liJianDanWeiBiaoShi = user.getBuMenBiaoShi().split(" ");
      dangAnHe.setGuiDangDanWeiMingCheng(mcss[0]);
      if ("1".equals(AppConfiguration.getConfigValue("CPCNS_XITONGLEIXING"))) {
        JiGouFenLei jg = this.commonService.getJiGouRenYuan(Integer.parseInt(user.findCurrentBuMenBiaoShi()));
        if (jg != null) {
          dangAnHe.setGuiDangBuMenBiaoShi(jg.getBiaoShi());
          dangAnHe.setGuiDangBuMenMingCheng(jg.getMingCheng());
        } 
      } 
      dangAnHe.setGuiDangDanWeiBiaoShi(Integer.valueOf(Integer.parseInt(liJianDanWeiBiaoShi[0])));
      dangAnHe.setQuanZongHao(user.getQuanZongHao());
      dangAnHe.setMenLei(menLei);
      dangAnHe.setZeRenRenMingCheng("/" + user.getMingCheng());
      if (menLei.equals("QZJ"))
        dangAnHe.setBaoGuanQiXian("Y"); 
      dangAnHe.setZhuangTai(Integer.valueOf(0));
      dangAnHe.setFenShu(Integer.valueOf(0));
      dangAnHe.setZongYeShu(Integer.valueOf(0));
      dangAnHe.setKuFangBiaoShi(Integer.toString(0));
      dangAnHe.setJianDingZhuangTai(Integer.valueOf(0));
      dangAnHe.setRuKuFangZhuangTai(Integer.valueOf(0));
      model.addAttribute("dangAnHe", dangAnHe);
    } 
    return "danganzhengli/danganhe/DangAnHeEdit";
  }
  
  @RequestMapping({"/copy.do"})
  public void copy(HttpServletRequest request, HttpServletResponse response) {
    User user = getCurrentUser();
    DDangAnHe dangAnHe = new DDangAnHe();
    String menLei = request.getParameter("menLei");
    GDangAnMenLei dam = this.gDangAnMenLeiService.findByFenLeiHao(menLei);
    if (menLei.endsWith("XWS") && 
      dam != null) {
      dangAnHe.setBeiYongZiFu(dam.getDangHaoGuiZe());
      String dangHaoFenLei = dam.getZiFuDaiMa();
      if (StringUtils.isNotBlank(dangHaoFenLei)) {
        int xuHaoGuiZe = (dangHaoFenLei.split("_")).length;
        dangAnHe.setBeiYongZi(Integer.valueOf(xuHaoGuiZe));
      } 
    } 
    if (user != null && StringUtils.isNotBlank(user.getBuMenMingChengs())) {
      String[] mcss = user.getBuMenMingChengs().split(" ");
      String[] liJianDanWeiBiaoShi = user.getBuMenBiaoShi().split(" ");
      dangAnHe.setGuiDangDanWeiMingCheng(mcss[0]);
      if ("1".equals(AppConfiguration.getConfigValue("CPCNS_XITONGLEIXING"))) {
        JiGouFenLei jg = this.commonService.getJiGouRenYuan(Integer.parseInt(user.findCurrentBuMenBiaoShi()));
        if (jg != null) {
          dangAnHe.setGuiDangBuMenBiaoShi(jg.getBiaoShi());
          dangAnHe.setGuiDangBuMenMingCheng(jg.getMingCheng());
        } 
      } 
      dangAnHe.setGuiDangDanWeiBiaoShi(Integer.valueOf(Integer.parseInt(liJianDanWeiBiaoShi[0])));
      dangAnHe.setQuanZongHao(user.getQuanZongHao());
      dangAnHe.setMenLei(menLei);
      dangAnHe.setZeRenRenMingCheng("/" + user.getMingCheng());
      if (menLei.equals("QZJ"))
        dangAnHe.setBaoGuanQiXian("Y"); 
    } 
    String H = JsonWithJacksonUtils.getInstance().obj2Json(dangAnHe);
    responseWriter(response, H);
  }
  
  @RequestMapping({"/save.do"})
  @ResponseBody
  public void save(HttpServletRequest request, HttpServletResponse response) throws Exception {
    ResultMessage rm = new ResultMessage();
    String info = "";
    String heHao = "";
    String rizhiInfo = "修改";
    String state = request.getParameter("state");
    String menLei = getRequest().getParameter("menLei");
    Enumeration<?> rnames = getRequest().getParameterNames();
    JSONObject jsonObject = new JSONObject();
    for (Enumeration<?> er = rnames; er.hasMoreElements(); ) {
      String thisName = er.nextElement().toString();
      String thisValue = getRequest().getParameter(thisName);
      jsonObject.put(thisName, thisValue);
    } 
    DDangAnHe t = (DDangAnHe)JsonWithJacksonUtils.getInstance().json2Obj(jsonObject.toString(), DDangAnHe.class);
    Map<String, String> map = new HashMap<>();
    map.put("table", request.getParameter("table"));
    map.put("server", request.getParameter("server"));
    map.put("dangHaoString", t.getDangHao());
    map.put("guiDangNianDu", String.valueOf(t.getGuiDangNianDu()));
    map.put("zhuangTai_not", "3");
    User user = getLoginUser(request);
    if (t.getFenShu() == null)
      t.setFenShu(Integer.valueOf(0)); 
    GDangAnMenLei dam = this.gDangAnMenLeiService.findByFenLeiHao(t.getMenLei());
    if (t.getHangBiaoShi() != null && t.getHangBiaoShi().intValue() > 0)
      map.put("hangBiaoShi_not", t.getHangBiaoShi()); 
    String xtlx = AppConfiguration.getConfigValue("CPCNS_XITONGLEIXING");
    String dh = t.getDangHao();
    if ("1".equals(xtlx)) {
      dh = String.valueOf(dh) + t.getXuHao();
    } else {
      dh = String.valueOf(dh) + t.getGuanBianHeHao();
    } 
    t.setDangHao(dh);
    List<Map<String, Object>> fs = this.dDangAnHeService.filedInfo("D_DANGANHE_" + t.getMenLei().toUpperCase(), "CHANGDU", "is not null ");
    String xuHaoLen = "4";
    if (fs != null && fs.size() > 0)
      for (int i = 0; i < fs.size(); i++) {
        Map<String, Object> m = fs.get(i);
        if (m.get("YINGWENMINGCHENG").equalsIgnoreCase("xuHao") && "1".equals(xtlx)) {
          xuHaoLen = (String)m.get("CHANGDU");
        } else if (m.get("YINGWENMINGCHENG").equalsIgnoreCase("guanBianHeHao") && "2".equals(xtlx)) {
          xuHaoLen = (String)m.get("CHANGDU");
        } 
      }  
    if (t.getHangBiaoShi() == null || t.getHangBiaoShi().intValue() < 0) {
      t.setHangBiaoShi(Integer.valueOf(this.dDangAnHeService.getPk()));
      t.setZhuangTai(Integer.valueOf(0));
      t.setFenShu(Integer.valueOf(0));
      t.setZongYeShu(Integer.valueOf(0));
      t.setKuFangBiaoShi(Integer.toString(0));
      t.setJianDingZhuangTai(Integer.valueOf(0));
      t.setRuKuFangZhuangTai(Integer.valueOf(0));
      t.setGuiDangRenMingCheng(user.getDengLuMingCheng());
      t.setGuiDangRenBiaoShi(user.getBiaoShi());
      rizhiInfo = "新增";
      t.setUuid(CommStatic.getUUID32());
      this.dDangAnHeService.save(t);
    } else {
      Date date = new Date();
      t.setShanChuShiJian(date);
      this.dDangAnHeService.update(t);
    } 
    try {
      if ("2".equals(state)) {
        String wenJianHangBiaoShis = getRequest().getParameter("wenJianHangBiaoShis");
        Map<String, String> xgzd = new HashMap<>();
        xgzd.put("guanLianBiaoShi", t.getHangBiaoShi());
        if (menLei.endsWith("XWS")) {
          xgzd.put("guiDangLeiXing", "2");
        } else {
          xgzd.put("guiDangLeiXing", "1");
        } 
        Map<String, String> tjzd = new HashMap<>();
        tjzd.put("hangBiaoShi", wenJianHangBiaoShis.replaceAll(",", "','"));
        String[] str = wenJianHangBiaoShis.split(",");
        if (str.length > 0) {
          for (int i = 0; i < str.length; i++) {
            BaseEntity wenJian = (BaseEntity)this.commonService.getById(YeWuStatic.getMenLeiToEntity(t.getMenLei()), Integer.valueOf(Integer.parseInt(str[i])));
            if (t != null && wenJian != null)
              GDangAnMenLei gDangAnMenLei = this.gDangAnMenLeiService.getByFenLeiHao(wenJian.getFenLeiHao()); 
            this.commonService.updateGuiDang(getServer(), "D_DangAnHe", CommStatic.getMenLeiToBiaoMing(menLei), (String)t.getHangBiaoShi(), xgzd, tjzd);
          } 
          this.dDangAnHeService.addDA_RiZhi(user, getServer(), CommStatic.getMenLeiToBiaoMing(menLei), "biaoTi,dangHao,menLei", wenJianHangBiaoShis, "装盒");
          this.dDangAnHeService.addDA_RiZhi(user, getServer(), "D_DangAnHe", t.getHangBiaoShi(), "0$." + t.getXuHao() + "$." + t.getMenLei(), "添加盒内件");
        } 
      } 
      rm.setSuccess(true);
      info = "保存成功！";
      this.dDangAnHeService.addDA_RiZhi(user, getServer(), "D_DangAnHe", t.getHangBiaoShi(), "0$." + t.getXuHao() + "$." + t.getMenLei(), rizhiInfo);
    } catch (Exception e) {
      e.printStackTrace();
      info = "保存失败！";
      rm.setSuccess(false);
    } 
    rm.setInfo(info);
    responseWriter(response, rm.toString());
  }
  
  private String formatHao(String hao, Integer len) {
    Integer l = Integer.valueOf(len.intValue() - hao.length());
    String h = "";
    for (int i = 0; i < l.intValue(); i++)
      h = "0" + h; 
    return String.valueOf(h) + hao;
  }
  
  private String newheHao(HttpServletRequest request, BaseEntity be) {
    Map<String, Object> map = new HashMap<>();
    map.put("table", request.getParameter("table"));
    map.put("server", request.getParameter("server"));
    map.put("hao", "xuHao");
    String json = Json.bean2Json(be);
    Map<String, Object> wjmap = Json.jsonStrToMap(json);
    String hhgz = "quanZongHao-menLei-xuHao";
    String hhfgf = "-";
    String[] str = hhgz.split(hhfgf);
    if (str != null && str.length > 0)
      for (int i = 0; i < str.length; i++) {
        if (!"xuHao".equals(str[i]))
          map.put(str[i], wjmap.get(str[i])); 
      }  
    String xuhao = this.commonService.shengChengHao(map);
    wjmap.put("xuHao", xuhao);
    String hehao = CommStatic.getDangHaoGuiZeToStr(wjmap, hhgz, hhfgf);
    return hehao;
  }
  
  private String xuHao(String baoGuanQiXian) {
    Map<String, Object> map = new HashMap<>();
    if (StringUtils.isNotBlank(baoGuanQiXian)) {
      map.put("hao", "xuHao");
      map.put("baoGuanQiXian", baoGuanQiXian);
      map.put("table", "D_DangAnHe");
      return this.commonService.shengChengHao(map);
    } 
    return "1";
  }
  
  @RequestMapping({"/creatXuHao.do"})
  @ResponseBody
  private String creatXuHao(HttpServletRequest request) {
    String baoGuanQiXian = request.getParameter("baoGuanQiXian");
    String menLei = request.getParameter("menLei");
    String quanZongHao = request.getParameter("quanZongHao");
    String guiDangNianDu = request.getParameter("guiDangNianDu");
    Map<String, Object> map = new HashMap<>();
    map.put("hao", "xuHao");
    map.put("table", "D_DangAnHe");
    String[] hhgz = (String[])null;
    if (StringUtils.isNotBlank(baoGuanQiXian)) {
      GDangAnMenLei dam = this.gDangAnMenLeiService.findByFenLeiHao(menLei);
      if (StringUtils.isNotBlank(dam.getHeHaoGuiZe())) {
        hhgz = dam.getHeHaoGuiZe().split("-");
        if (hhgz.length > 0) {
          byte b;
          int i;
          String[] arrayOfString;
          for (i = (arrayOfString = hhgz).length, b = 0; b < i; ) {
            String m = arrayOfString[b];
            if ("baoGuanQiXian".equals(m)) {
              map.put(String.valueOf(m) + "String", baoGuanQiXian);
            } else if ("menLei".equals(m)) {
              map.put(String.valueOf(m) + "String", menLei);
            } else if ("quanZongHao".equals(m)) {
              map.put(String.valueOf(m) + "String", quanZongHao);
            } else if ("guiDangNianDu".equals(m)) {
              map.put(String.valueOf(m) + "String", guiDangNianDu);
            } 
            b++;
          } 
        } 
      } else {
        map.put("baoGuanQiXianString", baoGuanQiXian);
        map.put("menLeiString", menLei);
      } 
      String xuHao = this.commonService.shengChengHao(map);
      return xuHao;
    } 
    return "";
  }
  
  @RequestMapping({"/delete.do"})
  @ResponseBody
  public void remove(HttpServletRequest request, HttpServletResponse response) {
    ResultMessage rm = new ResultMessage();
    String ids = request.getParameter("ids");
    if (StringUtils.isNotBlank(ids)) {
      String info = "";
      try {
        this.commonService.deleteByUser(getCurrentUser(), getServer(), getTable(), ids);
        rm.setSuccess(true);
        info = "删除成功！";
        User user = getLoginUser(request);
        String xiTongLeiXing = AppConfiguration.getConfigValue("CPCNS_XITONGLEIXING");
        String ss = "'0',xuHao,menLei";
        if (xiTongLeiXing.equals("2"))
          ss = "'0',guanBianHeHao,menLei"; 
        this.dDangAnHeService.addDA_RiZhi(user, getServer(), "D_DangAnHe", ss, ids, "删除");
      } catch (Exception e) {
        e.printStackTrace();
        rm.setSuccess(false);
        info = "删除失败！";
      } 
      rm.setInfo(info);
      rm.addResultMessage("data", "[{}]");
      responseWriter(response, rm.toString());
    } 
    rm.setSuccess(false);
    rm.setInfo("删除失败，选择的记录无效！");
    responseWriter(response, rm.toString());
  }
  
  @RequestMapping({"/chaiHe.do"})
  @ResponseBody
  public void chaiHe(HttpServletResponse response) {
    String hangBiaoShis = getRequest().getParameter("hangBiaoShis");
    String menLei = getRequest().getParameter("menLei");
    String msg = "200";
    if (hangBiaoShis != null && !"".equals(hangBiaoShis)) {
      hangBiaoShis = hangBiaoShis.substring(0, hangBiaoShis.length() - 1);
      Map<String, String> xgzd = new HashMap<>();
      xgzd.put("guanLianBiaoShi", "0");
      Map<String, String> tjzd = new HashMap<>();
      String hbs = hangBiaoShis.replaceAll(",", "','");
      tjzd.put("guanLianBiaoShi", hbs);
      try {
        this.commonService.updateGuiDang(this.server, this.table, CommStatic.getMenLeiToBiaoMing(menLei), hbs, xgzd, tjzd);
        msg = "500";
        User user = getLoginUser(getRequest());
        String sql = "select hangBiaoShi,dangHao from " + CommStatic.getMenLeiToBiaoMing(menLei) + " where guiDangLeiXing = 2 and guanLianBiaoShi in (" + hangBiaoShis + ")";
        List<Object[]> list = this.commonService.getList(sql);
        String wenJianBiaoShis = "";
        if (list != null && list.size() > 0) {
          for (int i = 0; i < list.size(); i++) {
            Object[] objects = list.get(i);
            if (objects[0] != null)
              if (wenJianBiaoShis.equals("")) {
                wenJianBiaoShis = objects[0].toString();
              } else {
                wenJianBiaoShis = String.valueOf(wenJianBiaoShis) + "," + objects[0].toString();
              }  
          } 
          if (!wenJianBiaoShis.equals(""))
            this.dDangAnHeService.addDA_RiZhi(getCurrentUser(), this.server, CommStatic.getMenLeiToBiaoMing(menLei), "biaoTi,dangHao,menLei", wenJianBiaoShis, "取消装盒"); 
        } 
        String xiTongLeiXing = AppConfiguration.getConfigValue("CPCNS_XITONGLEIXING");
        String ss = "'0',xuHao,menLei";
        if (xiTongLeiXing.equals("2"))
          ss = "'0',guanBianHeHao,menLei"; 
        this.dDangAnHeService.addDA_RiZhi(user, getServer(), "D_DangAnHe", ss, hangBiaoShis, "拆盒");
      } catch (Exception e) {
        e.printStackTrace();
      } 
    } 
    responseWriter(response, msg);
  }
  
  @RequestMapping({"/fengHe.do"})
  @ResponseBody
  public void fengHe(HttpServletResponse response) {
    String hangBiaoShis = getRequest().getParameter("hangBiaoShis");
    String menLei = getRequest().getParameter("menLei");
    String msg = "200";
    if (hangBiaoShis != null && !"".equals(hangBiaoShis))
      try {
        this.dDangAnHeService.updateDangAnHe(hangBiaoShis, Integer.valueOf(1));
        msg = "500";
        User user = getLoginUser(getRequest());
        String sql = "select hangBiaoShi,dangHao from " + CommStatic.getMenLeiToBiaoMing(menLei) + " where guiDangLeiXing = 2 and guanLianBiaoShi in (" + hangBiaoShis + ")";
        List<Object[]> list = this.commonService.getList(sql);
        String wenJianBiaoShis = "";
        if (list != null && list.size() > 0) {
          for (int i = 0; i < list.size(); i++) {
            Object[] objects = list.get(i);
            if (objects[0] != null)
              if (wenJianBiaoShis.equals("")) {
                wenJianBiaoShis = objects[0].toString();
              } else {
                wenJianBiaoShis = String.valueOf(wenJianBiaoShis) + "," + objects[0].toString();
              }  
          } 
          if (!wenJianBiaoShis.equals(""))
            this.commonService.addDA_RiZhi(getCurrentUser(), this.server, CommStatic.getMenLeiToBiaoMing(menLei), "biaoTi,dangHao,menLei", wenJianBiaoShis, "归档"); 
        } 
        String xiTongLeiXing = AppConfiguration.getConfigValue("CPCNS_XITONGLEIXING");
        String ss = "xuHao,xuHao,menLei";
        if (xiTongLeiXing.equals("2"))
          ss = "'0',guanBianHeHao,menLei"; 
        this.dDangAnHeService.addDA_RiZhi(getCurrentUser(), getServer(), "D_DangAnHe", ss, hangBiaoShis, "归档");
      } catch (Exception e) {
        e.printStackTrace();
      }  
    responseWriter(response, msg);
  }
  
  @RequestMapping({"/quXiaoFengHe.do"})
  @ResponseBody
  public void quXiaoFengHe(HttpServletResponse response) {
    String hangBiaoShis = getRequest().getParameter("hangBiaoShis");
    String menLei = getRequest().getParameter("menLei");
    String msg = "200";
    if (hangBiaoShis != null && !"".equals(hangBiaoShis))
      try {
        this.dDangAnHeService.updateDangAnHe(hangBiaoShis, Integer.valueOf(0));
        msg = "500";
        User user = getLoginUser(getRequest());
        String sql = "select hangBiaoShi,dangHao from " + CommStatic.getMenLeiToBiaoMing(menLei) + " where guiDangLeiXing = 2 and guanLianBiaoShi in (" + hangBiaoShis + ")";
        List<Object[]> list = this.commonService.getList(sql);
        String wenJianBiaoShis = "";
        if (list != null && list.size() > 0) {
          for (int i = 0; i < list.size(); i++) {
            Object[] objects = list.get(i);
            if (objects[0] != null)
              if (wenJianBiaoShis.equals("")) {
                wenJianBiaoShis = objects[0].toString();
              } else {
                wenJianBiaoShis = String.valueOf(wenJianBiaoShis) + "," + objects[0].toString();
              }  
          } 
          if (!wenJianBiaoShis.equals(""))
            this.dDangAnHeService.addDA_RiZhi(getCurrentUser(), this.server, CommStatic.getMenLeiToBiaoMing(menLei), wenJianBiaoShis, "取消归档"); 
        } 
        String xiTongLeiXing = AppConfiguration.getConfigValue("CPCNS_XITONGLEIXING");
        String ss = "xuHao,xuHao,menLei";
        if (xiTongLeiXing.equals("2"))
          ss = "'0',guanBianHeHao,menLei"; 
        this.dDangAnHeService.addDA_RiZhi(user, getServer(), "D_DangAnHe", ss, hangBiaoShis, "取消归档");
      } catch (Exception e) {
        e.printStackTrace();
      }  
    responseWriter(response, msg);
  }
  
  @RequestMapping({"/toHeNeiJian.do"})
  public String toHeNeiJian() {
    String hangBiaoShi = getRequest().getParameter("hangBiaoShi");
    String zhuangTai = getRequest().getParameter("zhuangTai");
    String guiDangNianDu = getRequest().getParameter("guiDangNianDu");
    String check = getRequest().getParameter("check");
    String laiyuan = getRequest().getParameter("laiyuan");
    String shenheruku = getRequest().getParameter("shenheruku");
    String fenLeiMingCheng = getRequest().getParameter("fenLeiMingCheng");
    String fenLeiHao = getRequest().getParameter("fenLeiHao");
    String baoGuanQiXian = getRequest().getParameter("baoGuanQiXian");
    if ((((shenheruku != "") ? 1 : 0) & ((shenheruku != null) ? 1 : 0)) != 0) {
      DDangAnHe dangAnHe = (DDangAnHe)this.dDangAnHeService.getById(Integer.valueOf(hangBiaoShi));
      getRequest().setAttribute("menLei", dangAnHe.getMenLei());
    } else {
      String menLei = getRequest().getParameter("menLei");
      getRequest().setAttribute("menLei", menLei);
      if (StringUtils.isNotBlank(menLei)) {
        GDangAnMenLei dam = this.gDangAnMenLeiService.getByFenLeiHao(menLei);
        if (dam != null) {
          getRequest().setAttribute("dangHaoGuiZe", dam.getDangHaoGuiZe());
          getRequest().setAttribute("dangHaoFenGeFu", dam.getFenGeFu());
          String dangHaoFenLei = dam.getZiFuDaiMa();
          if (StringUtils.isNotBlank(dangHaoFenLei)) {
            int xuHaoGuiZe = (dangHaoFenLei.split("_")).length;
            if (StringUtils.isNotBlank(dam.getHeHaoGuiZe())) {
              getRequest().setAttribute("xuHaoGuiZe", dam.getHeHaoGuiZe());
            } else {
              getRequest().setAttribute("xuHaoGuiZe", dam.getZiFuDaiMa());
            } 
            getRequest().setAttribute("xuHaoGuiZeLength", Integer.valueOf(xuHaoGuiZe));
          } 
        } 
      } 
    } 
    getRequest().setAttribute("laiyuan", laiyuan);
    getRequest().setAttribute("heBiaoShi", hangBiaoShi);
    getRequest().setAttribute("zhuangTai", zhuangTai);
    getRequest().setAttribute("guiDangNianDu", guiDangNianDu);
    getRequest().setAttribute("check", check);
    getRequest().setAttribute("fenLeiMingCheng", fenLeiMingCheng);
    getRequest().setAttribute("fenLeiHao", fenLeiHao);
    getRequest().setAttribute("baoGuanQiXian", baoGuanQiXian);
    return "danganzhengli/danganhe/HeNeiJian";
  }
  
  @RequestMapping({"/toAddHeNeiJian.do"})
  public String toAddHeNeiJian() {
    String hangBiaoShi = getRequest().getParameter("hangBiaoShi");
    String menLei = getRequest().getParameter("menLei");
    String fenLeiMingCheng = getRequest().getParameter("fenLeiMingCheng");
    String heNeiJianShuZu = getRequest().getParameter("heNeiJianShuZu");
    String xuHaoGuiZeLength = getRequest().getParameter("xuHaoGuiZeLength");
    String xuHaoZu = getRequest().getParameter("xuHaoZu");
    DDangAnHe dDangAnHe = (DDangAnHe)this.dDangAnHeService.getById(Integer.valueOf(Integer.parseInt(hangBiaoShi)));
    getRequest().setAttribute("dangAnHe", dDangAnHe);
    getRequest().setAttribute("guanLianBiaoShi", Integer.valueOf(0));
    getRequest().setAttribute("menLei", menLei);
    getRequest().setAttribute("fenLeiMingCheng", fenLeiMingCheng);
    getRequest().setAttribute("heNeiJianShuZu", heNeiJianShuZu);
    getRequest().setAttribute("xuHaoGuiZeLength", xuHaoGuiZeLength);
    getRequest().setAttribute("xuHaoZu", xuHaoZu);
    return "danganzhengli/danganhe/toAddHe";
  }
  
  @RequestMapping({"/addToKuFang.do"})
  public void addToKuFang(HttpServletRequest request, HttpServletResponse response) {
    ResultMessage rm = new ResultMessage();
    String info = "";
    User user = getCurrentUser();
    try {
      String hangBiaoShis = this.dDangAnHeService.addToKuFang(request, user);
      if (StringUtils.isNotBlank(hangBiaoShis)) {
        String[] hangBiaoShi = hangBiaoShis.split(",");
        for (int i = 0; i < hangBiaoShi.length; i++) {
          String biaoShi = hangBiaoShi[i];
          DDangAnHe dah = (DDangAnHe)this.dDangAnHeService.getById(Integer.valueOf(Integer.parseInt(biaoShi)));
          String menLei = dah.getMenLei();
          String tabName = CommStatic.getMenLeiToBiaoMing(menLei);
          String sql = "select hangBiaoShi,dangHao from " + tabName + " where guiDangLeiXing = 2 and guanLianBiaoShi in (" + biaoShi + ")";
          List<Object[]> list = this.commonService.getList(sql);
          String wenJianBiaoShis = "";
          if (list != null && list.size() > 0) {
            for (int j = 0; j < list.size(); j++) {
              Object[] objects = list.get(j);
              if (objects[0] != null)
                if (wenJianBiaoShis.equals("")) {
                  wenJianBiaoShis = objects[0].toString();
                } else {
                  wenJianBiaoShis = String.valueOf(wenJianBiaoShis) + "," + objects[0].toString();
                }  
            } 
            if (!wenJianBiaoShis.equals(""))
              this.dDangAnHeService.addDA_RiZhi(getCurrentUser(), "CPCNS_DA_GDXT", tabName, "biaoTi,dangHao,menLei", wenJianBiaoShis, "上架"); 
          } 
        } 
      } 
      rm.setSuccess(true);
      info = "上架成功！";
      String xiTongLeiXing = AppConfiguration.getConfigValue("CPCNS_XITONGLEIXING");
      String ss = "xuHao,xuHao,menLei";
      if (xiTongLeiXing.equals("2"))
        ss = "'0',guanBianHeHao,menLei"; 
      this.dDangAnHeService.addDA_RiZhi(getCurrentUser(), "CPCNS_DA_GDXT", "D_DangAnHe", ss, hangBiaoShis, "上架");
    } catch (Exception e) {
      e.printStackTrace();
      rm.setSuccess(false);
      info = "上架失败！";
    } 
    rm.setInfo(info);
    responseWriter(response, rm.toString());
  }
  
  @RequestMapping({"/zhuangHe.do"})
  public void zhuangHe(HttpServletRequest request, HttpServletResponse response) {
    String hangBiaoShis = request.getParameter("hangBiaoShis");
    String hangBiaoShi = getRequest().getParameter("hangBiaoShi");
    String state = getRequest().getParameter("state");
    String table = getRequest().getParameter("table");
    String server = getRequest().getParameter("server");
    String menLei = getRequest().getParameter("menLei");
    String msg = "";
    if (StringUtils.isNotBlank(hangBiaoShis) && StringUtils.isNotBlank(hangBiaoShi) && StringUtils.isNotBlank(menLei)) {
      User use = getCurrentUser();
      Date d = new Date();
      SimpleDateFormat sdf = new SimpleDateFormat("yyyy-MM-dd");
      String dateNowStr = sdf.format(d);
      String xiTongLeiXing = AppConfiguration.getConfigValue("CPCNS_XITONGLEIXING");
      String fname = "'0',xuHao,menLei";
      if (xiTongLeiXing.equals("2"))
        fname = "'0',guanBianHeHao,menLei"; 
      if ("1".equals(state)) {
        DDangAnHe dah = (DDangAnHe)this.dDangAnHeService.getById(Integer.valueOf(Integer.parseInt(hangBiaoShi)));
        Integer allSize = dah.getHeRongLiang();
        Integer curSize = dah.getZongYeShu();
        Integer fenShu = dah.getFenShu();
        Integer preSize = Integer.valueOf(Integer.parseInt(getRequest().getParameter("allYeShu")));
        if (curSize.intValue() + preSize.intValue() > allSize.intValue()) {
          msg = "当前盒容量不足！";
        } else {
          Map<String, String> xgzd = new HashMap<>();
          xgzd.put("guanLianBiaoShi", hangBiaoShi);
          Map<String, String> tjzd = new HashMap<>();
          String hbss = hangBiaoShis.replaceAll(",", "','");
          tjzd.put("hangBiaoShi", hbss);
          this.commonService.updateGuiDang(server, table, CommStatic.getMenLeiToBiaoMing(menLei), hangBiaoShi, xgzd, tjzd);
          this.dDangAnHeService.addDA_RiZhi(getCurrentUser(), server, "D_DangAnHe", fname, hangBiaoShi, "添加盒内件");
          this.dDangAnHeService.addDA_RiZhi(getCurrentUser(), server, CommStatic.getMenLeiToBiaoMing(menLei), "biaoTi,dangHao,menLei", hangBiaoShis, "装盒");
          msg = "装盒成功！";
        } 
      } else {
        Map<String, String> xgzd = new HashMap<>();
        xgzd.put("guanLianBiaoShi", "0");
        Map<String, String> tjzd = new HashMap<>();
        String hbss = hangBiaoShis.replaceAll(",", "','");
        tjzd.put("hangBiaoShi", hbss);
        this.commonService.updateGuiDang(server, table, CommStatic.getMenLeiToBiaoMing(menLei), hangBiaoShi, xgzd, tjzd);
        msg = "移除成功！";
        this.dDangAnHeService.addDA_RiZhi(getCurrentUser(), server, "D_DangAnHe", fname, hangBiaoShi, "移除盒内件");
        this.dDangAnHeService.addDA_RiZhi(getCurrentUser(), server, CommStatic.getMenLeiToBiaoMing(menLei), "biaoTi,dangHao,menLei", hangBiaoShis, "取消装盒");
      } 
    } 
    responseWriter(response, msg);
  }
  
  @RequestMapping({"/zhuangHeAdd.do"})
  public String zhuangHeAdd(HttpServletRequest request, HttpServletResponse response) {
    String hangBiaoShis = getRequest().getParameter("hangBiaoShis");
    String menLei = getRequest().getParameter("menLei");
    String tb_name = "";
    if ((StringUtils.isNotBlank(menLei) && menLei.indexOf("XWS") >= 0) || menLei.indexOf("QZJ") >= 0) {
      GDangAnMenLei dam = this.gDangAnMenLeiService.findByFenLeiHao(menLei);
      if (dam != null) {
        String dangHaoFenLei = dam.getZiFuDaiMa();
        if (StringUtils.isNotBlank(dangHaoFenLei)) {
          int xuHaoGuiZe = (dangHaoFenLei.split("_")).length;
          getRequest().setAttribute("xuHaoGuiZe", Integer.valueOf(xuHaoGuiZe));
        } 
        tb_name = dam.getBiaoMing();
      } 
    } 
    String[] hangBiaoShi = hangBiaoShis.split(",");
    if (hangBiaoShi.length > 0 && StringUtils.isNotBlank(menLei)) {
      BaseEntity wenJian = (BaseEntity)this.commonService.getById(YeWuStatic.getMenLeiToEntity(menLei), Integer.valueOf(Integer.parseInt(hangBiaoShi[0])));
      User use = getCurrentUser();
      StringBuilder sql = (new StringBuilder("select xuHao,yeShu from ")).append(tb_name)
        .append(" where hangBiaoShi in (").append(hangBiaoShis).append(") order by xuHao ");
      List<Object[]> xhs = this.commonService.getList(sql.toString());
      DDangAnHe dangAnHe = new DDangAnHe();
      GDangAnMenLei daml = this.gDangAnMenLeiService.getByFenLeiHao(menLei);
      Integer hrl = daml.getHeZuiDaYeShu();
      String mcs = use.getBuMenMingChengs();
      String[] liJianDanWeiBiaoShi = use.getBuMenBiaoShi().split(" ");
      if ("1".equals(AppConfiguration.getConfigValue("CPCNS_XITONGLEIXING"))) {
        JiGouFenLei jg = this.commonService.getJiGouRenYuan(Integer.parseInt(use.findCurrentBuMenBiaoShi()));
        if (jg != null) {
          dangAnHe.setGuiDangBuMenBiaoShi(jg.getBiaoShi());
          dangAnHe.setGuiDangBuMenMingCheng(jg.getMingCheng());
        } 
      } 
      if (StringUtils.isNotBlank(mcs)) {
        String[] mcss = mcs.split(" ");
        dangAnHe.setGuiDangDanWeiMingCheng(mcss[0]);
        dangAnHe.setGuiDangDanWeiBiaoShi(Integer.valueOf(Integer.parseInt(liJianDanWeiBiaoShi[0])));
      } 
      Integer js = Integer.valueOf(xhs.size());
      int zys = 0;
      if (xhs != null && js.intValue() > 0) {
        for (int z = 0; z < xhs.size(); z++) {
          Object[] arrayOfObject = xhs.get(z);
          Object object = arrayOfObject[1];
          if (StringUtils.isNotBlank((String)object) && !"null".equals(object))
            zys += Integer.parseInt((String)object); 
        } 
        Object[] obj = xhs.get(0);
        if (xhs.size() > 1) {
          dangAnHe.setQiYeHao(Integer.valueOf((String)obj[0]));
          obj = xhs.get(xhs.size() - 1);
          dangAnHe.setZhiYeHao(Integer.valueOf((String)obj[0]));
        } else {
          Integer qzyh = Integer.valueOf((String)obj[0]);
          dangAnHe.setQiYeHao(qzyh);
          dangAnHe.setZhiYeHao(qzyh);
        } 
      } 
      dangAnHe.setQuanZongHao(use.getQuanZongHao());
      dangAnHe.setFenLeiHao(wenJian.getFenLeiHao());
      dangAnHe.setFenLeiMingCheng(wenJian.getFenLeiMingCheng());
      dangAnHe.setMenLei(menLei);
      dangAnHe.setFenLeiMingCheng(wenJian.getFenLeiMingCheng());
      dangAnHe.setFenLeiHao(wenJian.getFenLeiHao());
      dangAnHe.setBaoGuanQiXian(wenJian.getBaoGuanQiXian());
      dangAnHe.setGuiDangNianDu(wenJian.getGuiDangNianDu());
      dangAnHe.setGuanJianCi(wenJian.getGuanJianCi());
      dangAnHe.setFenShu(Integer.valueOf(hangBiaoShi.length));
      dangAnHe.setXuHao(Integer.valueOf(Integer.parseInt(xuHao(wenJian.getBaoGuanQiXian()))));
      dangAnHe.setHeRongLiang(hrl);
      dangAnHe.setFenShu(js);
      getRequest().setAttribute("zys", Integer.valueOf(zys));
      getRequest().setAttribute("state", Integer.valueOf(2));
      getRequest().setAttribute("taa", Integer.valueOf(1));
      getRequest().setAttribute("dangAnHe", dangAnHe);
      getRequest().setAttribute("wenJianHangBiaoShis", hangBiaoShis);
    } 
    return "danganzhengli/danganhe/DangAnHeEdit";
  }
  
  @RequestMapping({"/check.do"})
  public String check(HttpServletRequest request, HttpServletResponse response) {
    String hangBiaoShi = request.getParameter("hangBiaoShi");
    String czlx = request.getParameter("czlx");
    String laiyuan = request.getParameter("laiyuan");
    String keyWordResult = request.getParameter("keyWordResult");
    if (hangBiaoShi != null && !hangBiaoShi.equals("")) {
      DDangAnHe cla = (DDangAnHe)this.dDangAnHeService.getById(Integer.valueOf(Integer.parseInt(hangBiaoShi)));
      String sb = " select min(xuHao) from " + CommStatic.getMenLeiToBiaoMing(cla.getMenLei()) + " where guanLianBiaoShi= " + cla.getHangBiaoShi();
      List<String> list = this.dDangAnHeService.selectSql(sb);
      if (list != null && list.size() > 0 && list.get(0) != null && list.get(0) != "")
        cla.setQiYeHao(Integer.valueOf(list.get(0).toString())); 
      sb = " select max(xuHao) from " + CommStatic.getMenLeiToBiaoMing(cla.getMenLei()) + " where guanLianBiaoShi= " + cla.getHangBiaoShi();
      list = this.dDangAnHeService.selectSql(sb);
      if (list != null && list.size() > 0 && list.get(0) != null && list.get(0) != "")
        cla.setZhiYeHao(Integer.valueOf(list.get(0).toString())); 
      cla.setChrq(DateUtil.getDate(cla.getChengHeShiJian()));
      getRequest().setAttribute("dangAnHe", cla);
      getRequest().setAttribute("czlx", czlx);
      getRequest().setAttribute("keyWordResult", keyWordResult);
      getRequest().setAttribute("laiyuan", laiyuan);
      String xiTongLeiXing = AppConfiguration.getConfigValue("CPCNS_XITONGLEIXING");
      String fname = "0,xuHao,menLei";
      if (xiTongLeiXing.equals("2"))
        fname = "'0',guanBianHeHao,menLei"; 
      this.dDangAnHeService.addDA_RiZhi(getCurrentUser(), this.server, "D_DangAnHe", fname, hangBiaoShi, "查看");
    } 
    return "danganzhengli/danganhe/CKDangAnHeEdit";
  }
  
  @RequestMapping({"/ceShiRuKu.do"})
  public void ceShiRuKu(HttpServletRequest request, HttpServletResponse response) {
    ResultMessage rm = new ResultMessage();
    String hangBiaoShi = getRequest().getParameter("hangBiaoShis");
    String lx = getRequest().getParameter("lx");
    int lxs = Integer.valueOf(lx).intValue();
    String info = "";
    try {
      StringBuffer sbsql = new StringBuffer();
      if (lxs == 2) {
        sbsql = new StringBuffer("update D_DangAnHe set ruKuFangZhuangTai=2 ");
      } else if (lxs == 1) {
        sbsql = new StringBuffer("update D_ANJUAN set ruKuFangZhuangTai=2 ");
      } 
      sbsql.append(" where 1=1 and hangBiaoShi in(").append(hangBiaoShi).append(")");
      this.commonService.update(sbsql.toString());
      rm.setSuccess(true);
      info = "测试--入库成功";
    } catch (Exception e) {
      e.printStackTrace();
      rm.setSuccess(false);
      info = "测试--入库失败！";
    } 
    rm.setInfo(info);
    responseWriter(response, rm.toString());
  }
  
  @RequestMapping({"/hnmlPrint.do"})
  public String hnmlPrint(HttpServletRequest request, HttpServletResponse response) throws Exception {
    try {
      String hangBiaoShi = request.getParameter("hangBiaoShi");
      String menLei = request.getParameter("menLei");
      StringBuilder sql = (new StringBuilder("select HANGBIAOSHI,XUHAO,BIAOTI,DANGHAO,WENHAO,ZERENZHE,CHENGWENRIQI CWRQ,YESHU,MIJI miJimc,BEIZHU, XINXIGONGKAIBIAOSHI ,XINXIBUGONGKAIYUANYIN  from ")).append(CommStatic.getMenLeiToBiaoMing(menLei)).append(" w where w.menLei='" + menLei + "' AND  w.guanLianBiaoShi=")
        .append(hangBiaoShi);
      if (menLei.equals("QZJ"))
        sql = (new StringBuilder("select w.hangBiaoShi,w.biaoTi,w.dangHao,w.muLuHao wenHao,w.bianXieRenMingCheng zeRenZhe,to_char(w.bianXieRiQi,'yyyy/mm/dd') cwrq,w.yeShu qiYeHao,w.XINXIGONGKAIBIAOSHI ,w.XINXIBUGONGKAIYUANYIN from ")).append(CommStatic.getMenLeiToBiaoMing(menLei)).append(" w where w.menLei='XWS' AND w.guanLianBiaoShi=")
          .append(hangBiaoShi); 
      sql.append(" order by xuHao asc ");
      List<Map<String, Object>> list = this.commonService.getListSQL(sql.toString());
      User user = getCurrentUser();
      List<XiTongDaiMa> xtdms = this.dDangAnHeService.xiTongDaiMaList("7087");
      List<XiTongDaiMa> bmqxs = this.dDangAnHeService.xiTongDaiMaList("23867");
      List<XiTongDaiMa> xxgkbs = this.dDangAnHeService.xiTongDaiMaList("22595");
      for (int i = 0; i < list.size(); i++) {
        Map<String, Object> map = list.get(i);
        String mj = (String)map.get("MIJIMC");
        if (StringUtils.isNotBlank(mj) && !"null".equals(mj) && !"0".equals(mj)) {
          boolean jg = true;
          if (jg)
            map.put("MIJIMC", ""); 
        } else {
          map.put("MIJIMC", "");
        } 
        String bmqx = (String)map.get("BAOMIQIXIAN");
        if (StringUtils.isNotBlank(bmqx) && !"null".equals(bmqx) && !"0".equals(bmqx)) {
          for (int q = 0; q < bmqxs.size(); q++) {
            XiTongDaiMa xtdm = bmqxs.get(q);
            Integer dm = xtdm.getZhengXingDaiMa();
            String mc = xtdm.getMingCheng();
            if (Integer.valueOf(bmqx) == dm) {
              map.put("BAOMIQIXIAN", mc);
              break;
            } 
          } 
        } else {
          map.put("BAOMIQIXIAN", "");
        } 
        String gkbs = (String)map.get("XINXIGONGKAIBIAOSHI");
        if (StringUtils.isNotBlank(gkbs) && !"null".equals(gkbs) && !"0".equals(gkbs)) {
          for (int q = 0; q < xxgkbs.size(); q++) {
            XiTongDaiMa xtdm1 = xxgkbs.get(q);
            Integer dm = xtdm1.getZhengXingDaiMa();
            String mc = xtdm1.getMingCheng();
            if (Integer.valueOf(gkbs) == dm) {
              map.put("XINXIGONGKAIBIAOSHI", mc);
              break;
            } 
          } 
        } else {
          map.put("XINXIGONGKAIBIAOSHI", "");
        } 
      } 
      HashMap<String, Object> params = new HashMap<>();
      String dWQuanZongHao = AppConfiguration.getConfigValue("CPCNS_QUANZHONGHAO");
      dWQuanZongHao = dWQuanZongHao.toUpperCase();
      String model = "heneimulu.jasper";
      if (StringUtils.isNotBlank(dWQuanZongHao))
        if (dWQuanZongHao.equals("DA145")) {
          model = "heneimulu.jasper";
        } else {
          model = "heneimulu_" + dWQuanZongHao + ".jasper";
        }  
      List<Map<String, Object>> listmiji = new ArrayList<>();
      boolean fl = this.commonService.getInitVal("miJiShow", "miJiShow");
      List<Map<String, Object>> listddd = list;
      if (fl) {
        for (int j = 0; j < listddd.size(); j++) {
          Map<String, Object> map = listddd.get(j);
          String miji = (String)map.get("MIJIMC");
          String qzhmc = "";
          if (!StringUtils.isBlank(miji) && !miji.equals("0") && !miji.equals("null") && !miji.equals("1") && !miji.equals("无")) {
            for (Map.Entry<String, Object> entry : map.entrySet()) {
              if (!((String)entry.getKey()).equals("DANGHAO") && !((String)entry.getKey()).equals("HANGBIAOSHI"))
                map.put(entry.getKey(), "******"); 
            } 
            System.out.println(listmiji);
          } 
          listmiji.add(map);
        } 
      } else {
        listmiji = listddd;
      } 
      String printService = AppConfiguration.getConfigValue("printServlet");
      PrintUtil.printService(request, user, printService, model, listmiji, params, "hnml");
    } catch (Exception e) {
      e.printStackTrace();
    } 
    return "print/check";
  }
  
  @RequestMapping({"/hnbkbPrint.do"})
  public String hnbkbPrint(HttpServletRequest request, HttpServletResponse response) throws Exception {
    try {
      String hangBiaoShi = request.getParameter("hangBiaoShi");
      String menLei = request.getParameter("menLei");
      User user = getCurrentUser();
      List<Map<String, Object>> list = new ArrayList<>();
      Map<String, Object> wjp = new HashMap<>();
      list.add(wjp);
      HashMap<String, Object> params = new HashMap<>();
      String model = "heneibeikaobiao.jasper";
      String printService = AppConfiguration.getConfigValue("printServlet");
      PrintUtil.printService(request, user, printService, model, list, params, "hnbkb");
    } catch (Exception e) {
      e.printStackTrace();
    } 
    return "print/check";
  }
  
  @RequestMapping({"/validationGBHH.do"})
  public void validationGBHH(HttpServletResponse response) {
    String guanBianHeHao = getRequest().getParameter("guanBianHeHao");
    String hangBiaoShi = getRequest().getParameter("hangBiaoShi");
    String quanZongHao = getRequest().getParameter("quanZongHao");
    String menLei = getRequest().getParameter("menLei");
    String msg = "500";
    if (StringUtils.isNotBlank(guanBianHeHao)) {
      StringBuffer sqlWHERE = new StringBuffer("select hangBiaoShi from D_DangAnHe where guanBianHeHao = '" + guanBianHeHao + "' and quanZongHao = '" + quanZongHao + "' ");
      sqlWHERE.append("\tand menLei='" + menLei + "'");
      sqlWHERE.append("\tand zhuangTai not in(3,4)");
      if (StringUtils.isNotBlank(hangBiaoShi))
        sqlWHERE.append(" and hangBiaoShi != " + hangBiaoShi); 
      boolean pagevo = this.commonService.checkInfo(this.server, sqlWHERE.toString());
      if (!pagevo)
        msg = "600"; 
    } 
    responseWriter(response, msg);
  }
}
